Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class GrailsOpenSessionInViewInterceptor

    java.lang.Object
      org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor
          org.codehaus.groovy.grails.orm.hibernate.support.GrailsOpenSessionInViewInterceptor

    public class GrailsOpenSessionInViewInterceptor
    extends OpenSessionInViewInterceptor

Extends the default spring OSIVI and doesn't flush the session if it has been set to MANUAL on the session itself.

Authors:
  Graeme Rocher

Since:
  0.5

Method Summary
`void` | `afterCompletion(WebRequest request, java.lang.Exception ex)`
`protected void` | `flushIfNecessary(Session session, boolean existingTransaction)`
`void` | `postHandle(WebRequest request, ModelMap model)`
`void` | `preHandle(WebRequest request)`

Method Detail

### afterCompletion

    @Override
    public void afterCompletion(WebRequest request, java.lang.Exception ex)

### flushIfNecessary

    @Override
    protected void flushIfNecessary(Session session, boolean existingTransaction)

### postHandle

    @Override
    public void postHandle(WebRequest request, ModelMap model)

### preHandle

    @Override
    public void preHandle(WebRequest request)

Groovy Documentation